> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Priority

> Update a priority's display name, description, or AI selectability.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml patch /v2/priorities/{id}
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Procedure API
  - name: Approval Request API
  - name: Assignment Rules API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Forms API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: Roles API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team Group API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/priorities/{id}:
    patch:
      tags:
        - Ticket API
      summary: Update Priority
      description: Update a priority's display name, description, or AI selectability.
      operationId: svrelay.publicv2.PublicAPIServiceV2.UpdatePriority
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type:
                    - string
                    - 'null'
                  title: name
                description:
                  type:
                    - string
                    - 'null'
                  title: description
                isAiSelectable:
                  type:
                    - boolean
                    - 'null'
                  title: is_ai_selectable
              title: UpdatePriorityRequest
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/svhelp.publicapi.UpdatePriorityResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.UpdatePriorityResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svhelp.pubapimodels.Priority'
          title: data
          x-stainless-terraform-configurability: optional
      title: UpdatePriorityResponse
      additionalProperties: false
    svhelp.pubapimodels.Priority:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the priority.
          readOnly: true
          x-stainless-terraform-configurability: computed
        teamId:
          type: string
          title: team_id
          description: The ID of the team that the priority belongs to.
          x-stainless-terraform-configurability: optional
        priority:
          type: string
          title: priority
          description: The priority level (NONE, LOW, MEDIUM, HIGH, URGENT, etc.).
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: The description of the priority.
          x-stainless-terraform-configurability: optional
        scopedId:
          type: string
          title: scoped_id
          description: The team-portable identity of the priority.
          readOnly: true
          x-stainless-terraform-configurability: computed
        name:
          type: string
          title: name
          description: >-
            The team-defined display name. Empty means clients render the
            default
             localized label for the priority level.
          x-stainless-terraform-configurability: optional
        isAiSelectable:
          type: boolean
          title: is_ai_selectable
          description: Whether AI priority inference can select this priority.
          x-stainless-terraform-configurability: computed_optional
      title: Priority
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````